Bulk delete
Get a bulk delete
The batch’s progress and the result of each id, in the order they were given. Works with bulk delete turned off, so a caller can see what was left. An item left unattended for an hour reads as halted with the code expired.
GET
/
v1
/
bulk_deletes
/
{id}
Get a bulk delete
curl --request GET \
--url https://api.veri.studio/v1/bulk_deletes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/bulk_deletes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/bulk_deletes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"resource": "<string>",
"dry_run": true,
"status": "<string>",
"counts": {
"total": 123,
"queued": 123,
"deleting": 123,
"deleted": 123,
"failed": 123,
"halted": 123,
"not_found": 123,
"already_queued": 123
},
"results": [
{
"id": "<string>",
"status": "<string>",
"code": "<string>",
"message": "<string>",
"blockers": [
{
"type": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"blocker_total": 123
}
],
"id": "<string>"
}Authorizations
Response
The batch
Get a bulk delete
curl --request GET \
--url https://api.veri.studio/v1/bulk_deletes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/bulk_deletes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/bulk_deletes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"resource": "<string>",
"dry_run": true,
"status": "<string>",
"counts": {
"total": 123,
"queued": 123,
"deleting": 123,
"deleted": 123,
"failed": 123,
"halted": 123,
"not_found": 123,
"already_queued": 123
},
"results": [
{
"id": "<string>",
"status": "<string>",
"code": "<string>",
"message": "<string>",
"blockers": [
{
"type": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"blocker_total": 123
}
],
"id": "<string>"
}
